aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFlorian Fainelli <florian@openwrt.org>2006-01-08 18:10:40 +0000
committerFlorian Fainelli <florian@openwrt.org>2006-01-08 18:10:40 +0000
commit4fb752fea6816787478563d958a4d33be03454a4 (patch)
treece7d1651e1fcc9b24fa3c9cd45b37484f6aab23c
parent3dbd25eba7aa307e7fc21aa8b9add8e554166030 (diff)
downloadupstream-4fb752fea6816787478563d958a4d33be03454a4.tar.gz
upstream-4fb752fea6816787478563d958a4d33be03454a4.tar.bz2
upstream-4fb752fea6816787478563d958a4d33be03454a4.zip
Merged enhancements submitted by Stereo, thanks, closes #188 and #189
SVN-Revision: 2863
-rwxr-xr-xopenwrt/package/base-files/default/etc/init.d/S50telnet2
-rw-r--r--openwrt/package/openntpd/files/ntpd.init2
2 files changed, 2 insertions, 2 deletions
diff --git a/openwrt/package/base-files/default/etc/init.d/S50telnet b/openwrt/package/base-files/default/etc/init.d/S50telnet
index 599c3540eb..e7d4d36773 100755
--- a/openwrt/package/base-files/default/etc/init.d/S50telnet
+++ b/openwrt/package/base-files/default/etc/init.d/S50telnet
@@ -1,2 +1,2 @@
#!/bin/sh
-telnetd -l /bin/login
+if awk -F: '/^root:/ && $2 !~ /\*/ {exit 1}' /etc/passwd 2>/dev/null || test $FAILSAFE; then telnetd -l /bin/login; fi
diff --git a/openwrt/package/openntpd/files/ntpd.init b/openwrt/package/openntpd/files/ntpd.init
index e528748780..8bac705b4a 100644
--- a/openwrt/package/openntpd/files/ntpd.init
+++ b/openwrt/package/openntpd/files/ntpd.init
@@ -1,3 +1,3 @@
#!/bin/sh
-mkdir -p `grep "^ntp:" /etc/passwd | cut -d: -f6`
+mkdir -p `awk -F: '/^ntp:/{print $6}' /etc/passwd`
/usr/sbin/ntpd -s